(ns blog.db
  (:require ["pg" :refer [Client]]
            [blog.env :as env]))

(defn create-client
  "Create a new client for Postgres using enviroment variables."
  []
  (->> (env/get-database-credentials)
       (cljs.core/clj->js)
       (new Client)))

(defn connect-client
  "Connect a client to the database"
  [client]
  (. client connect))

(defn create-tables
  [client]
  (. client query "CREATE TABLE IF NOT EXISTS articles (id SERIAL PRIMARY KEY, title VARCHAR(255) NOT NULL, content TEXT NOT NULL, created TIMESTAMP DEFAULT CURRENT_TIMESTAMP);"))

