(ns blog.server
  (:require ["express" :as express]
            [blog.db :as db]
            [blog.env :as env]))

(def app (express))
(def port (env/get-port))
(def client (db/create-client))

(defn set-routes
  "Sets the routes for server."
  []
  (. app get "/"
     (fn [req res]
       (. res send "Hello world"))))

(defn start
  "Starts server."
  []
  (set-routes)

  (db/connect-client client)

  (. app listen port
     (fn []
       (println "Listen on " port))))

